Name:           robust-http-client
Version:        1.2
Release:        %mkrel 8
Group:          Development/Java
Summary:        Small Java library that performs HTTP download with automatic retry

License:        MIT
URL:            https://github.com/kohsuke/robust-http-client
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
# taken from http://opensource.org/licenses/MIT
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-manager-plexus)
BuildRequires:  mvn(org.apache.maven.scm:maven-scm-provider-gitexe)

BuildArch:      noarch

%description
robust-http-client is a small Java library which can be used
for performing HTTP downloads with automatic retry.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains API javadoc documentation for %{name}


%prep
%setup -q -n %{name}-%{name}-%{version}

cp %{SOURCE1} LICENSE

# We don't have this extension
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-gitsite']]"

%build
# Tests are disabled because they try to download something from the network
%mvn_build -f

%install
%mvn_install


%files -f .mfiles
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE




%changelog
* Sat May 20 2017 neoclust <neoclust> 1.2-8.mga6
+ Revision: 1103663
- Fix BuildRequires
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 1.2-6.mga6
+ Revision: 981407
- First rebuild of the java stack
- sync package robust-http-client with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 747168
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 1.2-3.mga5
+ Revision: 621320
- imported package robust-http-client


* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2-3
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial package

